Opera < 9.27 Multiple Vulnerabilities

Medium Nessus Network Monitor Plugin ID 4457

Synopsis

The remote host contains a web browser that is affected by several issues.

Description

The version of Opera installed on the remote host reportedly is affected by several issues :

- Resized canvas patterns can lead to a program crash with possible memory corruption.
- A newsfeed prompt can cause Opera to execute arbitrary code.
- Improved keyboard handling of password inputs.

Solution

Upgrade to version 9.27 or higher.

See Also

http://www.opera.com/support/search/view/881

http://www.opera.com/support/search/view/882

http://www.opera.com/docs/changelogs/windows/927

Plugin Details

Severity: Medium

ID: 4457

Family: Web Clients

Published: 2008/04/03

Modified: 2016/01/19

Dependencies: 1735, 8314

Nessus ID: 31734

Risk Information

Risk Factor: Medium

CVSSv2

Base Score: 6.8

Temporal Score: 5.3

Vector: CVSS2#AV:N/AC:M/Au:N/C:P/I:P/A:P

Temporal Vector: CVSS2#E:POC/RL:OF/RC:C

CVSSv3

Base Score: 5.6

Temporal Score: 5.1

Vector: CVSS3#AV:N/AC:H/PR:N/UI:N/S:U/C:L/I:L/A:L

Temporal Vector: CVSS3#E:P/RL:O/RC:C

Vulnerability Information

CPE: cpe:/a:opera:opera_browser

Reference Information

CVE: CVE-2008-1761, CVE-2008-1762

BID: 28585